<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:23:27 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DepUtils (org.eclipse.papyrus.designer.deployment.tools 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DepUtils (org.eclipse.papyrus.designer.deployment.tools 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":9,"i24":9,"i25":9,"i26":9,"i27":9,"i28":9,"i29":9,"i30":9,"i31":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DepUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.html" title="interface in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/deployment/tools/DepUtils.html" target="_top">Frames</a></li>
<li><a href="DepUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.deployment.tools</div>
<h2 title="Class DepUtils" class="title">Class DepUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.deployment.tools.DepUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">DepUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Utilities around instances (within deployment plan)</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#TRAFOS_M2MTRANSFORMATIONS_STANDARD">TRAFOS_M2MTRANSFORMATIONS_STANDARD</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#DepUtils--">DepUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#allAttributesAreConfigAttributs--">allAttributesAreConfigAttributs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#chooseImplementation-org.eclipse.uml2.uml.Class-org.eclipse.emf.common.util.EList-org.eclipse.papyrus.designer.deployment.tools.ImplementationChooser-">chooseImplementation</a></span>(org.eclipse.uml2.uml.Class&nbsp;componentType,
                    org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes,
                    <a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.html" title="interface in org.eclipse.papyrus.designer.deployment.tools">ImplementationChooser</a>&nbsp;chooser)</code>
<div class="block">Automatically choose an implementation, i.e.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#chooseImplementation-org.eclipse.emf.common.util.EList-org.eclipse.uml2.uml.Class-org.eclipse.emf.common.util.EList-org.eclipse.papyrus.designer.deployment.tools.ImplementationChooser-">chooseImplementation</a></span>(org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Class&gt;&nbsp;implList,
                    org.eclipse.uml2.uml.Class&nbsp;componentType,
                    org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes,
                    <a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.html" title="interface in org.eclipse.papyrus.designer.deployment.tools">ImplementationChooser</a>&nbsp;chooser)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.ValueSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#firstValue-org.eclipse.uml2.uml.Slot-">firstValue</a></span>(org.eclipse.uml2.uml.Slot&nbsp;slot)</code>
<div class="block">Return the first value for a slot.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getAccessPath-org.eclipse.uml2.uml.InstanceSpecification-">getAccessPath</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">Return the access path in terms of slots to an instance specification, i.e.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafo</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getAdditionalTransformations-org.eclipse.uml2.uml.Package-">getAdditionalTransformations</a></span>(org.eclipse.uml2.uml.Package&nbsp;cdp)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getAllInstances-org.eclipse.uml2.uml.Package-org.eclipse.emf.common.util.EList-org.eclipse.papyrus.designer.transformation.base.ElementFilter-">getAllInstances</a></span>(org.eclipse.uml2.uml.Package&nbsp;pkg,
               org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;instanceList,
               <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/ElementFilter.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base">ElementFilter</a>&nbsp;filter)</code>
<div class="block">Get all instances within a package that comply with a filter criterion.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Classifier</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getClassifier-org.eclipse.uml2.uml.InstanceSpecification-">getClassifier</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</code>
<div class="block">Return the first classifier referenced by an instance specification.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getContainedImplementations-org.eclipse.uml2.uml.InstanceSpecification-">getContainedImplementations</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">Return the (unique) list of implementations that are contained within an
 instance specification</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getContainedInstances-org.eclipse.uml2.uml.InstanceSpecification-">getContainedInstances</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">This method returns the instances contained within a composite instance
 specification for an assembly.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getContainedNonSharedInstances-org.eclipse.uml2.uml.InstanceSpecification-">getContainedNonSharedInstances</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">This method returns the instances contained within a composite instance
 specification for an assembly.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getImplementation-org.eclipse.uml2.uml.InstanceSpecification-">getImplementation</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</code>
<div class="block">return the implementation associated with an instance specification, i.e.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getInstance-org.eclipse.uml2.uml.Slot-">getInstance</a></span>(org.eclipse.uml2.uml.Slot&nbsp;slot)</code>
<div class="block">Return the instance referenced by a slot value, i.e.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getInstanceForClassifier-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.Classifier-">getInstanceForClassifier</a></span>(org.eclipse.uml2.uml.Package&nbsp;cdp,
                        org.eclipse.uml2.uml.Classifier&nbsp;cl)</code>
<div class="block">Return the first instance specification within a deployment plan that instantiates a given
 classifier</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getInstances-org.eclipse.uml2.uml.Package-">getInstances</a></span>(org.eclipse.uml2.uml.Package&nbsp;cdp)</code>
<div class="block">return an instance specification for the main instance within
 a package.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getLanguageFromElement-org.eclipse.uml2.uml.Element-">getLanguageFromElement</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>
<div class="block">Determine which programming language should be generated for a classifier.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getNamedSubInstance-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-">getNamedSubInstance</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;owningInstance,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Find a sub instance via its name.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getParentIS-org.eclipse.uml2.uml.InstanceSpecification-">getParentIS</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">Return an instance specification that refers to the composite in which the
 passed instance is contained</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Slot</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getParentSlot-org.eclipse.uml2.uml.InstanceSpecification-">getParentSlot</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">Return a slot for a given instance specification.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Property&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getParts-org.eclipse.uml2.uml.Class-">getParts</a></span>(org.eclipse.uml2.uml.Class&nbsp;implementation)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Slot&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getReferencingSlots-org.eclipse.uml2.uml.InstanceSpecification-">getReferencingSlots</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">return all slots that reference an instance specification</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Slot</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getSlot-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-">getSlot</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
       org.eclipse.uml2.uml.Property&nbsp;property)</code>
<div class="block">Return the slot that is associated with a property</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getTargetLanguage-org.eclipse.uml2.uml.InstanceSpecification-">getTargetLanguage</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;mainInstance)</code>
<div class="block">Return the target language when given the mainInstance</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getTopLevelInstances-org.eclipse.uml2.uml.Package-">getTopLevelInstances</a></span>(org.eclipse.uml2.uml.Package&nbsp;cdp)</code>
<div class="block">return an instance specification for the main instance within
 a package.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafoChain</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#getTransformationChain-org.eclipse.uml2.uml.Package-">getTransformationChain</a></span>(org.eclipse.uml2.uml.Package&nbsp;cdp)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#isComposite-org.eclipse.uml2.uml.Class-">isComposite</a></span>(org.eclipse.uml2.uml.Class&nbsp;implementation)</code>
<div class="block">return true, if a component (implementation) is a composite, i.e.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#isComposition-org.eclipse.uml2.uml.Property-">isComposition</a></span>(org.eclipse.uml2.uml.Property&nbsp;attribute)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#isImplEligible-org.eclipse.uml2.uml.Class-org.eclipse.emf.common.util.EList-">isImplEligible</a></span>(org.eclipse.uml2.uml.Class&nbsp;implemCandidate,
              org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes)</code>
<div class="block">Check whether a class is an eligible implementation for a certain node, i.e.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#isShared-org.eclipse.uml2.uml.Slot-">isShared</a></span>(org.eclipse.uml2.uml.Slot&nbsp;slot)</code>
<div class="block">Return true, if an instance is shared</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#isSingleton-org.eclipse.uml2.uml.Class-">isSingleton</a></span>(org.eclipse.uml2.uml.Class&nbsp;component)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#isTopLevelInstance-org.eclipse.uml2.uml.InstanceSpecification-">isTopLevelInstance</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>
<div class="block">Check whether an instance specification is a top-level instance, i.e.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#treatNoneAsComposite--">treatNoneAsComposite</a></span>()</code>
<div class="block">Return true, if aggregation type "none" should be treated in the same way
 as aggregation kind "composite".</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TRAFOS_M2MTRANSFORMATIONS_STANDARD">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TRAFOS_M2MTRANSFORMATIONS_STANDARD</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRAFOS_M2MTRANSFORMATIONS_STANDARD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.designer.deployment.tools.DepUtils.TRAFOS_M2MTRANSFORMATIONS_STANDARD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DepUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DepUtils</h4>
<pre>public&nbsp;DepUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isImplEligible-org.eclipse.uml2.uml.Class-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isImplEligible</h4>
<pre>public static&nbsp;boolean&nbsp;isImplEligible(org.eclipse.uml2.uml.Class&nbsp;implemCandidate,
                                     org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes)</pre>
<div class="block">Check whether a class is an eligible implementation for a certain node, i.e.
 has compatible requirements.
 Requires that setCurrentNode has been called earlier
 TODO: how does that work with connector reification between distributeToNode has been
 called??!</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>implemCandidate</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getNamedSubInstance-org.eclipse.uml2.uml.InstanceSpecification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamedSubInstance</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getNamedSubInstance(org.eclipse.uml2.uml.InstanceSpecification&nbsp;owningInstance,
                                                                             <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Find a sub instance via its name. This is in particular useful for connectors that cannot be
 found via a slot, since UML only supports structural features (a connector is only a feature)
 in the definingFeature attribute of a slot.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>owningInstance</code> - an owning instance</dd>
<dd><code>name</code> - name of the sub-element (unqualified)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the found sub-instance or null</dd>
</dl>
</li>
</ul>
<a name="chooseImplementation-org.eclipse.uml2.uml.Class-org.eclipse.emf.common.util.EList-org.eclipse.papyrus.designer.deployment.tools.ImplementationChooser-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chooseImplementation</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;chooseImplementation(org.eclipse.uml2.uml.Class&nbsp;componentType,
                                                              org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes,
                                                              <a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.html" title="interface in org.eclipse.papyrus.designer.deployment.tools">ImplementationChooser</a>&nbsp;chooser)</pre>
<div class="block">Automatically choose an implementation, i.e. if the passed classifier
 (1) is already an implementation, simply return it
 (2) is an implementation group, choose the first implementation that fits the requirements
 (3) is a type: choose the first implementation among the heirs that fits the requirements</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>componentType</code> - a component type or implementation (class, optionally abstract)</dd>
<dd><code>nodes</code> - a set of instance specification representing nodes on which this component will be allocated</dd>
<dd><code>chooser</code> - A chooser for an implementation in case of multiple candidates</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a suitable implementation</dd>
</dl>
</li>
</ul>
<a name="chooseImplementation-org.eclipse.emf.common.util.EList-org.eclipse.uml2.uml.Class-org.eclipse.emf.common.util.EList-org.eclipse.papyrus.designer.deployment.tools.ImplementationChooser-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chooseImplementation</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;chooseImplementation(org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Class&gt;&nbsp;implList,
                                                              org.eclipse.uml2.uml.Class&nbsp;componentType,
                                                              org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;nodes,
                                                              <a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.html" title="interface in org.eclipse.papyrus.designer.deployment.tools">ImplementationChooser</a>&nbsp;chooser)</pre>
</li>
</ul>
<a name="getInstances-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstances</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getInstances(org.eclipse.uml2.uml.Package&nbsp;cdp)</pre>
<div class="block">return an instance specification for the main instance within
 a package.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cdp</code> - the deployment plan</dd>
</dl>
</li>
</ul>
<a name="getTopLevelInstances-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTopLevelInstances</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getTopLevelInstances(org.eclipse.uml2.uml.Package&nbsp;cdp)</pre>
<div class="block">return an instance specification for the main instance within
 a package.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cdp</code> - the deployment plan</dd>
</dl>
</li>
</ul>
<a name="isTopLevelInstance-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTopLevelInstance</h4>
<pre>public static&nbsp;boolean&nbsp;isTopLevelInstance(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">Check whether an instance specification is a top-level instance, i.e. not referenced
 by another one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - an instance specification</dd>
</dl>
</li>
</ul>
<a name="getImplementation-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImplementation</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;getImplementation(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</pre>
<div class="block">return the implementation associated with an instance specification, i.e. a
 Class.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getClassifier-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassifier</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Classifier&nbsp;getClassifier(org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</pre>
<div class="block">Return the first classifier referenced by an instance specification. Whereas UML supports
 a set of classifiers, we assume that that an instance specification has only one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the instance, for which we are interested in type information</dd>
</dl>
</li>
</ul>
<a name="getInstanceForClassifier-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstanceForClassifier</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getInstanceForClassifier(org.eclipse.uml2.uml.Package&nbsp;cdp,
                                                                                  org.eclipse.uml2.uml.Classifier&nbsp;cl)</pre>
<div class="block">Return the first instance specification within a deployment plan that instantiates a given
 classifier</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cdp</code> - the deployment plan</dd>
<dd><code>cl</code> - the classifier</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getContainedImplementations-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContainedImplementations</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Classifier&gt;&nbsp;getContainedImplementations(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">Return the (unique) list of implementations that are contained within an
 instance specification</div>
</li>
</ul>
<a name="getSlot-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSlot</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Slot&nbsp;getSlot(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
                                                org.eclipse.uml2.uml.Property&nbsp;property)</pre>
<div class="block">Return the slot that is associated with a property</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - an instance specification (of a class having properties)</dd>
<dd><code>property</code> - A property of the classifier associated with the passed instance specification</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the associated slot or null, if it does not exist</dd>
</dl>
</li>
</ul>
<a name="getInstance-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getInstance(org.eclipse.uml2.uml.Slot&nbsp;slot)</pre>
<div class="block">Return the instance referenced by a slot value, i.e. the first instance value associated
 with a slot</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getContainedInstances-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContainedInstances</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getContainedInstances(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">This method returns the instances contained within a composite instance
 specification for an assembly.</div>
</li>
</ul>
<a name="getContainedNonSharedInstances-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContainedNonSharedInstances</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;getContainedNonSharedInstances(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">This method returns the instances contained within a composite instance
 specification for an assembly. Unlike @see getContainedInstances, this method only
 returns contained instances that are not shared.</div>
</li>
</ul>
<a name="getReferencingSlots-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReferencingSlots</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;getReferencingSlots(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">return all slots that reference an instance specification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getParentSlot-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentSlot</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Slot&nbsp;getParentSlot(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">Return a slot for a given instance specification. The slot is the first one in a list of slots
 whose value points to the passed instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - an instance that is contained within an composite (i.e. that
            belongs to a part of this composite).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getParentIS-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentIS</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getParentIS(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">Return an instance specification that refers to the composite in which the
 passed instance is contained</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - an instance that is contained within an composite (i.e. that
            belongs to a part of this composite).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getAccessPath-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAccessPath</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;getAccessPath(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<div class="block">Return the access path in terms of slots to an instance specification, i.e. the
 set of slots starting with the slot within the main instance that identifies the next
 instance until arriving at the passed instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="isShared-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isShared</h4>
<pre>public static&nbsp;boolean&nbsp;isShared(org.eclipse.uml2.uml.Slot&nbsp;slot)</pre>
<div class="block">Return true, if an instance is shared</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getLanguageFromElement-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLanguageFromElement</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLanguageFromElement(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<div class="block">Determine which programming language should be generated for a classifier. The
 stereotype GeneratorHint (which could be on any owning package) is evaluated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - an element (typically a classifier or a package)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the programming language</dd>
</dl>
</li>
</ul>
<a name="getTargetLanguage-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetLanguage</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTargetLanguage(org.eclipse.uml2.uml.InstanceSpecification&nbsp;mainInstance)</pre>
<div class="block">Return the target language when given the mainInstance</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainInstance</code> - the mainInstance of an application</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>target language</dd>
</dl>
</li>
</ul>
<a name="getAllInstances-org.eclipse.uml2.uml.Package-org.eclipse.emf.common.util.EList-org.eclipse.papyrus.designer.transformation.base.ElementFilter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllInstances</h4>
<pre>public static&nbsp;void&nbsp;getAllInstances(org.eclipse.uml2.uml.Package&nbsp;pkg,
                                   org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.InstanceSpecification&gt;&nbsp;instanceList,
                                   <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/ElementFilter.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base">ElementFilter</a>&nbsp;filter)</pre>
<div class="block">Get all instances within a package that comply with a filter criterion. Recurse into sub-packages.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pkg</code> - Starting package for search</dd>
<dd><code>instanceList</code> - list of instances</dd>
<dd><code>filter</code> - filter criterion.</dd>
</dl>
</li>
</ul>
<a name="firstValue-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>firstValue</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.ValueSpecification&nbsp;firstValue(org.eclipse.uml2.uml.Slot&nbsp;slot)</pre>
<div class="block">Return the first value for a slot.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - the slot for which the first value should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="treatNoneAsComposite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>treatNoneAsComposite</h4>
<pre>public static&nbsp;boolean&nbsp;treatNoneAsComposite()</pre>
<div class="block">Return true, if aggregation type "none" should be treated in the same way
 as aggregation kind "composite". This information is used to create instances
 in compositions</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if aggregation type "none" should be as "composite"</dd>
</dl>
</li>
</ul>
<a name="allAttributesAreConfigAttributs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allAttributesAreConfigAttributs</h4>
<pre>public static&nbsp;boolean&nbsp;allAttributesAreConfigAttributs()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if all attributes of a class are considered as configuration attributes.</dd>
</dl>
</li>
</ul>
<a name="getParts-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParts</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Property&gt;&nbsp;getParts(org.eclipse.uml2.uml.Class&nbsp;implementation)</pre>
</li>
</ul>
<a name="isComposite-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isComposite</h4>
<pre>public static&nbsp;boolean&nbsp;isComposite(org.eclipse.uml2.uml.Class&nbsp;implementation)</pre>
<div class="block">return true, if a component (implementation) is a composite, i.e. has
 inner parts</div>
</li>
</ul>
<a name="isComposition-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isComposition</h4>
<pre>public static&nbsp;boolean&nbsp;isComposition(org.eclipse.uml2.uml.Property&nbsp;attribute)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attribute</code> - an attribute</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the aggregation kind is considered as a composition</dd>
</dl>
</li>
</ul>
<a name="isSingleton-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSingleton</h4>
<pre>public static&nbsp;boolean&nbsp;isSingleton(org.eclipse.uml2.uml.Class&nbsp;component)</pre>
</li>
</ul>
<a name="getTransformationChain-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransformationChain</h4>
<pre>public static&nbsp;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafoChain</a>&nbsp;getTransformationChain(org.eclipse.uml2.uml.Package&nbsp;cdp)</pre>
</li>
</ul>
<a name="getAdditionalTransformations-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAdditionalTransformations</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafo</a>&gt;&nbsp;getAdditionalTransformations(org.eclipse.uml2.uml.Package&nbsp;cdp)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DepUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html" title="class in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.html" title="interface in org.eclipse.papyrus.designer.deployment.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/deployment/tools/DepUtils.html" target="_top">Frames</a></li>
<li><a href="DepUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
